#!/usr/bin/perl

use warnings;
use strict;
use FindBin qw($Bin);
use lib "$Bin/../lib";

use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";

use Test::More qw(no_plan);
use Test::Deep;

use Test::WWW::Mechanize::Catalyst qw(Opsview::Web);

use lib "$Bin/lib";
use Opsview::TestUtils;

my $mech = Test::WWW::Mechanize::Catalyst->new;

log_in( $mech, 'admin', 'initial' );

$mech->get_ok("/state/hostgroup/4/detail");
$mech->content_like( qr^/status/host\?hostgroupid=4">9</a>^,      "Total hosts right" );
$mech->content_like( qr^/status/service\?hostgroupid=4">23</a>^,  "Total services right" );
$mech->content_like( qr^/downtime/list_downtime_hosts">2</a>^,    "Unique hosts in downtime right" );
$mech->content_like( qr^/downtime/list_downtime_services">4</a>^, "Unique services in downtime right" );

$mech->get_ok("/state/hostgroup/6/detail");
$mech->content_like( qr^/status/host\?hostgroupid=6">2</a>^,      "Total hosts right" );
$mech->content_like( qr^/status/service\?hostgroupid=6">12</a>^,  "Total services right" );
$mech->content_like( qr^/downtime/list_downtime_hosts">1</a>^,    "Unique hosts in downtime right" );
$mech->content_like( qr^/downtime/list_downtime_services">5</a>^, "Unique services in downtime right" );

log_out($mech);

# These values should be different from above because the user has less access
log_in( $mech, 'somehosts', 'somehosts' );
$mech->get_ok("/state/hostgroup/6/detail");
$mech->content_like( qr^/status/host\?hostgroupid=6">1</a>^,                                   "Total hosts right" );
$mech->content_like( qr^/status/service\?hostgroupid=6">5</a>^,                                "Total services right" );
$mech->content_like( qr^Number of Unique Hosts with Downtime:</td>\s*<td .*?>\s*?0\s*?</td>^s, "Unique hosts in downtime right" );
$mech->content_like( qr^/downtime/list_downtime_services">5</a>^,                              "Unique services in downtime right" );

1;
