#!perl
# Test systempreference page

use warnings;
use strict;

use FindBin qw($Bin);
use lib "$Bin/lib";
use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";

use Test::WWW::Mechanize;
use HTTP::Cookies;
use Sys::Hostname;

use Opsview::Test qw(opsview);
use Opsview::Web::Test;
use Opsview::TestUtils;

use Opsview::Contact;
use Opsview::Config;

use Test::More qw(no_plan);
use Test::Deep;

# Set hostname
my $hostname = Sys::Hostname::hostname;
$hostname = "localhost:3000";

my $ua = Test::WWW::Mechanize->new;
use Opsview::Schema;
my $schema = Opsview::Schema->my_connect;
$schema->resultset("Metadata")->find( { name => "uncommitted" } )->update( { value => 0 } );

log_in( $ua, 'admin', 'initial', "http://localhost:3000" );

$ua->get_ok("http://$hostname/admin/systempreference");
$ua->form_name('main_form');
is( $ua->value('soft_state_dependencies'), undef, "soft_state_dependencies not ticked" );

$ua->tick('soft_state_dependencies',1);
$ua->submit;

$ua->content_contains('Successfully saved');

$ua->form_name('main_form');
is( $ua->value('soft_state_dependencies'), 1, "soft_state_dependencies ticked" );

is( $schema->resultset("Metadata")->find( { name => "uncommitted" })->value, 1, "uncommitted flag set" );


